Problems upgrading - can't find mirror

Can anyone direct me to the best way to upgrade from:
FreePBX Framework - 12.0.74 to latest.; and
System Admin 2.10.0.77 to latest.

I try this and I get an error saying it cannot find the mirror or the scmooze server.

Capture

Just continuing to try to diagnose, in case this information helps

I can ping the mirror and I can download the update manually…

[[email protected] 2017]# wget http://mirror1.freepbx.org/modules/packages/framework/framework-12.0.76.4.tgz.gpg
–2018-04-10 15:37:35-- http://mirror1.freepbx.org/modules/packages/framework/framework-12.0.76.4.tgz.gpg
Resolving mirror1.freepbx.org… 199.102
Connecting to mirror1.freepbx.org|199.102|:80… connected.
HTTP request sent, awaiting response… 200 OK
Length: 5081991 (4.8M) [application/octet-stream]
Saving to: `framework-12.0.76.4.tgz.gpg’

100%[==========================================================================================================================================================================>] 5,081,991 2.76M/s in 1.8s

2018-04-10 15:37:37 (2.76 MB/s) - `framework-12.0.76.4.tgz.gpg’ saved [5081991/5081991]

But I can’t upgrade manually from the CLI (unless I have the wrong command) as the command I am using tries to get the file from the mirror again.

[[email protected] 2017]# amportal a ma update framework

Please wait…

Found module locally, verifying…Redownloading
The following error(s) occured:
** - Unable to connect to servers from URLs provided: http://mirror1.freepbx.org/modules/packages/framework/framework-12.0.76.4.tgz.gpg,http://mirror2.freepbx.org/modules/packages/framework/framework-12.0.76.4.tgz.gpg**

Can no one offer any advice?

I can upgrade if I download each package to my PC upload them manually and then install them manually, but given I need to do quite a few versions to bring this system up to date that would not be a practical exercise.

Any help gratefully accepted.

Mark.

I edited your post to get rid of the IP for security reasons
Looking at the mirror log with your IP it says you are reporting back a framework version of 13.0.194-4 and some reason you are trying to pull a framework 12.x which is why it isn’t working. I am not sure why it is trying to pull a 12.x framework but that won’t work

Capture

Thanks for updating… #
Me niether as the module is reporting 12.x

I have noticed als that sys admin is telling me sysadmin RPM is out of date

Mark.

If the is the FreePBX Distro, are you using the scripts to keep current?
https://wiki.freepbx.org/display/PPS/Updating+FreePBX+Official+Distro

This topic was automatically closed 365 days after the last reply. New replies are no longer allowed.